/************************************************/

/*	BE Modelisation Geometrique	        */
/*		Loic Barthe			*/
/*	      IRIT - UPS - CNRS			*/

/************************************************/
/************************************************/
/************************************************/

/*	BE illustration des Blobs	        */

/************************************************/
/************************************************/

#ifndef __SUMBLOB__
#define __SUMBLOB__

#include "blob.h"

/* structure permettant de stocker 30 blobs */
typedef struct sSum {
	pBlob blobs[30];
	int nbBlobs;
} tSum, *pSum;

/* creation d'une somme de blobs avec un blob passe en parametre */
pSum creeSum (pBlob b1);

/* ajoute un blob au tableau de blobs */
void addBlobSum (pSum s, pBlob b);

/* evaluation de la somme des blobs en un point P(x,y,z) */
float evalSum (pSum s, float x, float y, float z);

/* evaluation des derivees partielles */
float dxSum (pSum s, float x, float y, float z);
float dySum (pSum s, float x, float y, float z);
float dzSum (pSum s, float x, float y, float z);

/* evaluation de la fonction d'inclusion */
tIntervalle IevalSum (pSum s, tIntervalle x, tIntervalle y, tIntervalle z);

#endif
